"use strict";
// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.JwtRsaVerifier = exports.AlbJwtVerifier = exports.CognitoJwtVerifier = exports.JwtVerifier = void 0;
var jwt_verifier_js_1 = require("./jwt-verifier.js");
Object.defineProperty(exports, "JwtVerifier", { enumerable: true, get: function () { return jwt_verifier_js_1.JwtVerifier; } });
var cognito_verifier_js_1 = require("./cognito-verifier.js");
Object.defineProperty(exports, "CognitoJwtVerifier", { enumerable: true, get: function () { return cognito_verifier_js_1.CognitoJwtVerifier; } });
var alb_verifier_js_1 = require("./alb-verifier.js");
Object.defineProperty(exports, "AlbJwtVerifier", { enumerable: true, get: function () { return alb_verifier_js_1.AlbJwtVerifier; } });
// Backward compatibility
const jwt_verifier_js_2 = require("./jwt-verifier.js");
/**
 * @deprecated since version 5.0.0, use JwtVerifier instead.
 *   The JwtRsaVerifier has been aliased to JwtVerifier, that supports Elliptic Curve algorithms as well.
 */
exports.JwtRsaVerifier = jwt_verifier_js_2.JwtVerifier;
